LIBJXL

Loading...
Searching...
No Matches
Typedefs | Enumerations | Functions
stats.h File Reference
JPEG XL library (libjxl) » JPEG XL Encoder API

API to collect various statistics from JXL encoder. More...

`#include <jxl/jxl_export.h>`
`#include <stddef.h>`
Include dependency graph for stats.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Typedefs
typedef struct JxlEncoderStatsStruct | JxlEncoderStats

## Enumerations
enum | JxlEncoderStatsKey { JXL_ENC_STAT_HEADER_BITS , JXL_ENC_STAT_TOC_BITS , JXL_ENC_STAT_DICTIONARY_BITS , JXL_ENC_STAT_SPLINES_BITS , JXL_ENC_STAT_NOISE_BITS , JXL_ENC_STAT_QUANT_BITS , JXL_ENC_STAT_MODULAR_TREE_BITS , JXL_ENC_STAT_MODULAR_GLOBAL_BITS , JXL_ENC_STAT_DC_BITS , JXL_ENC_STAT_MODULAR_DC_GROUP_BITS , JXL_ENC_STAT_CONTROL_FIELDS_BITS , JXL_ENC_STAT_COEF_ORDER_BITS , JXL_ENC_STAT_AC_HISTOGRAM_BITS , JXL_ENC_STAT_AC_BITS , JXL_ENC_STAT_MODULAR_AC_GROUP_BITS , JXL_ENC_STAT_NUM_SMALL_BLOCKS , JXL_ENC_STAT_NUM_DCT4X8_BLOCKS , JXL_ENC_STAT_NUM_AFV_BLOCKS , JXL_ENC_STAT_NUM_DCT8_BLOCKS , JXL_ENC_STAT_NUM_DCT8X32_BLOCKS , JXL_ENC_STAT_NUM_DCT16_BLOCKS , JXL_ENC_STAT_NUM_DCT16X32_BLOCKS , JXL_ENC_STAT_NUM_DCT32_BLOCKS , JXL_ENC_STAT_NUM_DCT32X64_BLOCKS , JXL_ENC_STAT_NUM_DCT64_BLOCKS , JXL_ENC_STAT_NUM_BUTTERAUGLI_ITERS , JXL_ENC_NUM_STATS }

## Functions
JXL_EXPORT JxlEncoderStats * | JxlEncoderStatsCreate (void)
JXL_EXPORT void | JxlEncoderStatsDestroy (JxlEncoderStats *stats)
JXL_EXPORT size_t | JxlEncoderStatsGet (const JxlEncoderStats *stats, JxlEncoderStatsKey key)
JXL_EXPORT void | JxlEncoderStatsMerge (JxlEncoderStats *stats, const JxlEncoderStats *other)

## Detailed Description

API to collect various statistics from JXL encoder.